# FoundationClasses
TKAdvTools
Expr

# Expr_LogOf10 Class Reference

`#include <Expr_LogOf10.hxx>`

Inheritance diagram for Expr_LogOf10:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_LogOf10 (const Handle(Expr_GeneralExpression)&exp)
| Creates the base 10 logarithm of <exp> .
Standard_EXPORT Handle_Expr_GeneralExpression | ShallowSimplified () const
| Returns a GeneralExpression after a simplification of the arguments of <me>. .
Standard_EXPORT Handle_Expr_GeneralExpression | Copy () const
| Returns a copy of <me> having the same unknowns and functions. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralExpression)&Other) const
| Tests if <me> and <other> define the same expression. This method does not include any simplification before testing. .
Standard_EXPORT Standard_Boolean | IsLinear () const
| Tests if <me> is linear on every NamedUnknown it contains. .
Standard_EXPORT Handle_Expr_GeneralExpression | Derivative (const Handle(Expr_NamedUnknown)&X) const
| Returns the derivative on <x> unknown of <me>. .
Standard_EXPORT Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &vals) const
| Returns the value of <me> (as a Real) by replacement of <vars> by <vals>. Raises NotEvaluable if <me> contains NamedUnknown not in <vars> or NumericError if result cannot be computed. .
Standard_EXPORT TCollection_AsciiString | String () const
| returns a string representing <me> in a readable way.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Expr_LogOf10::Expr_LogOf10 | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_GeneralExpression Expr_LogOf10::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_LogOf10::Derivative | ( | const Handle(Expr_NamedUnknown)& | X | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Real Expr_LogOf10::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | vals
| ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT const Expr_LogOf10::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_UnaryExpression.

Standard_EXPORT Standard_Boolean Expr_LogOf10::IsIdentical | ( | const Handle(Expr_GeneralExpression)& | Other | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Standard_Boolean Expr_LogOf10::IsLinear | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_LogOf10::ShallowSimplified | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

Standard_EXPORT TCollection_AsciiString Expr_LogOf10::String | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralExpression.

The documentation for this class was generated from the following file:

- Expr_LogOf10.hxx